/// <reference types="web" />
/// <reference types="node" />
import type { TSLanguageService, TSProject, TypeScript } from '../contracts/TypeScript';
import { PluginConfig } from './ConfigManager';
export interface Options extends TypeScript.server.PluginCreateInfo {
    typescript: typeof TypeScript;
    typesDir: string;
}
export declare class PluginManager {
    #private;
    static instance: PluginManager;
    private constructor();
    private readonly logger;
    create(options: Options): TSLanguageService;
    getExternalFiles(project: TSProject): string[];
    onConfigurationChanged(config: PluginConfig): void;
    fixConsole(console: Console): void;
}
export declare const pluginManager: PluginManager;
//# sourceMappingURL=PluginManager.d.ts.map