import type { Disposable } from '../contracts/Disposable';
import type { LanguageService } from '../contracts/LanguageService';
export declare class AggregateLanguageService implements LanguageService, Disposable {
    private readonly services;
    constructor(service: LanguageService, ...services: LanguageService[]);
    register(service: LanguageService): void;
    dispose(): void;
    getDiagnostics(fileName: string): LanguageService.Diagnostic[];
    getDefinitionAt(fileName: string, position: LanguageService.Position): LanguageService.Definition[];
    getTypeDefinitionAt(fileName: string, position: LanguageService.Position): LanguageService.Definition[];
    getQuickInfoAtPosition(fileName: string, position: LanguageService.Position): LanguageService.QuickInfo | null;
    getCompletionsAtPosition(fileName: string, position: LanguageService.Position): LanguageService.CompletionList;
    private _each;
    private _map;
    private _reduce;
}
//# sourceMappingURL=AggregateLanguageService.d.ts.map