interface Writer {
    info(line: string): void;
    error(line: string): void;
    debug(line: string): void;
}
export declare const enum LogLevel {
    DEBUG = 0,
    INFO = 1,
    ERROR = 2,
    SILENT = 3
}
export declare class LoggerService {
    #private;
    constructor(context: string | {
        name: string;
    }, level?: LogLevel);
    setLevel(level: LogLevel): void;
    debug(message: string, ...args: any[]): void;
    info(message: string, ...args: any[]): void;
    error(message: string | Error, ...args: any[]): void;
    static currentId: string | null;
    static setWriter(writer: Writer): void;
    static getLogger(name: string, level?: LogLevel): LoggerService;
}
export {};
//# sourceMappingURL=LoggerService.d.ts.map